libzypp 17.37.10

SATResolver.cc File Reference
`#include <solv/repo_solv.h>`
`#include <solv/poolarch.h>`
`#include <solv/evr.h>`
`#include <solv/poolvendor.h>`
`#include <solv/policy.h>`
`#include <solv/bitmap.h>`
`#include <solv/queue.h>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/Gettext.h>`
`#include <zypp/base/Algorithm.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/Product.h>`
`#include <zypp/AutoDispose.h>`
`#include <zypp/sat/WhatProvides.h>`
`#include <zypp/sat/WhatObsoletes.h>`
`#include <zypp/sat/detail/PoolImpl.h>`
`#include <zypp/solver/detail/Resolver.h>`
`#include <zypp/solver/detail/SATResolver.h>`
`#include <zypp/solver/detail/ProblemSolutionCombi.h>`
`#include <zypp/solver/detail/ProblemSolutionIgnore.h>`
`#include <zypp/solver/detail/SolverQueueItemInstall.h>`
`#include <zypp/solver/detail/SolverQueueItemDelete.h>`
`#include <zypp/solver/detail/SystemCheck.h>`
`#include <zypp/solver/detail/SolutionAction.h>`
`#include <zypp/solver/detail/SolverQueueItem.h>`
`#include <utility>`

Go to the source code of this file.

## Classes
class | zypp::solver::detail::SATCollectTransact
| Commit helper functor distributing PoolItem by status into lists. More...
class | zypp::solver::detail::CheckIfUpdate
struct | zypp::solver::detail::FindPackage

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::solver
namespace | zypp::solver::detail

## Macros
#define | ZYPP_USE_RESOLVER_INTERNALS
#define | XDEBUG(x)
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::solver"
#define | MAYBE_CLEANDEPS (cleandepsOnRemove()?SOLVER_CLEANDEPS:0)
#define | OUTS(X)

## Functions
| zypp::solver::detail::IMPL_PTR_TYPE (SATResolver)
int | zypp::solver::detail::vendorCheck (sat::detail::CPool *pool, Solvable *solvable1, Solvable *solvable2)
int | zypp::solver::detail::relaxedVendorCheck (sat::detail::CPool *pool, Solvable *solvable1, Solvable *solvable2)
void | zypp::solver::detail::establish (sat::Queue &pseudoItems_r, sat::Queue &pseudoFlags_r)
| ResPool helper to compute the initial status of Patches etc.
std::string | zypp::solver::detail::itemToString (const PoolItem &item)
static void | zypp::solver::detail::SATSolutionToPool (const PoolItem &item, const ResStatus &status, const ResStatus::TransactByValue causer)
sat::Solvable | zypp::solver::detail::mapBuddy (const PoolItem &item_r)
sat::Solvable | zypp::solver::detail::mapBuddy (sat::Solvable item_r)

## Macro Definition Documentation

## ◆ ZYPP_USE_RESOLVER_INTERNALS

#define ZYPP_USE_RESOLVER_INTERNALS

Definition at line 32 of file SATResolver.cc.

## ◆ XDEBUG

#define XDEBUG | ( |  | x | ) |

Value:
do { if (base::logger::isExcessive()) XXX << x << std::endl;} while (0)
XXX
#define XXX
Definition Logger.h:98

Definition at line 59 of file SATResolver.cc.

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::solver"

Definition at line 62 of file SATResolver.cc.

## ◆ MAYBE_CLEANDEPS

#define MAYBE_CLEANDEPS (cleandepsOnRemove()?SOLVER_CLEANDEPS:0)

Definition at line 172 of file SATResolver.cc.

## ◆ OUTS

#define OUTS | ( |  | X | ) |

Value:
os << " " << #X << "\t= " << solver_get_flag(_satSolver, SOLVER_FLAG_##X) << endl
X
#define X(T)